Bug 34772 - Apache 1.3.14 breaks byterange functionality (hinders serving of PDFs)
Apache 1.3.14 breaks byterange functionality (hinders serving of PDFs)
Product: Red Hat Linux
Classification: Retired
Component: apache (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-04-04 17:35 EDT by Bob Plankers
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-04-04 17:45:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bob Plankers 2001-04-04 17:35:24 EDT
Hello. There is a problem in Apache 1.3.14 where byteranges are broken. 
This problem was fixed in later versions of Apache, and is documented at:


This has the most effect on the serving of PDF files. One workaround is 
adding the following line to httpd.conf:

SetEnvIf Request_URI \.pdf nokeepalive

However, updating to 1.3.19 will also fix it. I have had to recompile 
several web servers to work around this problem, so I thought I'd report 
it. :-) Thanks.

Comment 1 Joe Orton 2001-11-23 11:13:38 EST
Thanks. Apache 1.3.19 shipped with 7.1.

Note You need to log in before you can comment on or make changes to this bug.